#24 Invalid file date after extracting

closed-fixed
my space
None
5
2005-04-10
2005-03-16
Stepho
No

Some files compressed under Windows XP pro SP1, when
uncompressed under Solaris has an invalid date
(although the date for "7za l" is correct).
It may be a problem of the 7-Zip file format, but as I
found it using p7zip, I decided to post the bug report
here...
The problem doesn't occur using zip compression.

A 7z archive presenting the problem is attached.

Contact me through the sourceforge messaging system or
the 7-Zip forum if you need more info.

I hope the following information will help.

p7zip compiled on a first machine :
SunOS sun04 5.8 Generic_117350-16 sun4u sparc
SUNW,Sun-Fire-880System = SunOS
gcc version 2.95.2 19991024 (release)
p7zip Version 4.14.01 (locale=fr_CA,Utf16=on,HugeFiles=on)

p7zip executed on second machine :
SunOS malawi 5.8 Generic_108528-29 sun4u sparc
SUNW,Sun-Fire-880

File compressed using :
7-Zip (A) 4.15 beta
7za a date_error.7z date_error.xml

Date reported by Windows Explorer : 2004-05-10 15:49
Date using 7za listing in Windows : 2004-05-10 15:49:34
Date using 7za listing in UNIX : 2004-05-10 15:49:34
Date reported by "ls -l" after uncompressing in UNIX :
mai 4 1928

Discussion

  • Stepho
    Stepho
    2005-03-16

    An archive producing the error

     
    Attachments
  • my space
    my space
    2005-03-16

    Logged In: YES
    user_id=336051

    thank you for supporting p7zip.

    This bug arises in "big endian" machine.

    This bug will be fixed in the next version of p7zip.

     
  • my space
    my space
    2005-03-16

    • assigned_to: nobody --> myspace
    • status: open --> open-accepted
     
  • Stepho
    Stepho
    2005-03-17

    Logged In: YES
    user_id=1166132

    Cool, thank you for the quick answer.
    This bug prevents me from using p7zip at work; so, while
    waiting for the next release, I'll switch back to standard
    tools (tar + gzip/bzip2 or zip).

     
  • my space
    my space
    2005-04-10

    Logged In: YES
    user_id=336051

    Fixed since p7zip 4.16

     
  • my space
    my space
    2005-04-10

    • status: open-accepted --> closed-fixed